Package org.eclipse.emf.cdo.session.remote

# Interface CDORemoteSessionEvent.MessageReceived

All Superinterfaces:
  `CDORemoteSessionEvent`, `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `CDORemoteSessionEvent`

public static interface CDORemoteSessionEvent.MessageReceived extends CDORemoteSessionEvent
A `remote session event` fired from a `remote session manager` when a `message` from a `remote session` has been received.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteSessionEvent

`CDORemoteSessionEvent.MessageReceived, CDORemoteSessionEvent.SubscriptionChanged`

## Method Summary

Modifier and Type
Method
Description
`CDORemoteSessionMessage`
`getMessage()`

### Methods inherited from interface org.eclipse.emf.cdo.session.remote.CDORemoteSessionEvent

`getRemoteSession, getSource`

## Method Details

### getMessage

CDORemoteSessionMessage getMessage()